## ovn 20.03.0

=== debian/changelog ===
ovn (20.03.0-0ubuntu1) focal; urgency=medium

  * d/watch: Update to track github tags.
  * New upstream release.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Thu, 12 Mar 2020 10:14:24 +0000

ovn (20.03.0~git20200212.9a4e68ec8-0ubuntu3) focal; urgency=medium

  * d/ovn-common.dirs: Ensure /etc/ovn is created as part of the
    package installation.

 -- James Page <james.page@ubuntu.com>  Thu, 20 Feb 2020 09:17:20 +0000

ovn (20.03.0~git20200212.9a4e68ec8-0ubuntu2) focal; urgency=medium

  * d/ovn-common.{install,manpages}: Install ovn-appctl binary and
    associated manpage (LP: #1863585).

 -- James Page <james.page@ubuntu.com>  Mon, 17 Feb 2020 17:42:22 +0000

ovn (20.03.0~git20200212.9a4e68ec8-0ubuntu1) focal; urgency=medium

  * d/rules: Switch to snapshots from 20.03 release branch.
  * New upstream snapshot from release branch:
    - d/p/no-python.patch: Ensure build uses PYTHON3 for all python
      scripts.
  * Add support for OVN interconnection controller:
    - d/control,rules: Add new binary packages for ovn-ic and ovn-ic-db.
    - d/ovn-ic*: Install binaries, manpages and systemd units for
      new ovn-ic daemon and associated ovsdb-server instances.
  * d/control: Use openvswitch-common instead of openvswitch-switch where
    appropriate to avoid running OVS daemons when they are not required.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Feb 2020 13:14:26 +0000

ovn (2.12.90~git20200107.c80e014d4-0ubuntu1) focal; urgency=medium

  * Split OVN packaging from Open vSwitch inline with upstream
    separation:
    - d/rules: Adapt build process to use new openvswitch-source
      package as OVN requires a built openvswitch source tree
      to complete the OVN build process.
    - d/*.install,dirs: Rework openvswitch->ovn.
    - d/*.init,service,rules: Switch package to use systemd
      configuration files for all daemons (LP: #1843582),
      drop init scripts.
    - d/control: Add new ovn-doc package.

 -- James Page <james.page@ubuntu.com>  Fri, 10 Jan 2020 09:49:11 +0000

openvswitch (2.12.1~git20191107.7accd1302-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.
  * d/ovn-common.install: Include ovn-trace binary and manpage
    (LP: #1851517).

 -- James Page <james.page@ubuntu.com>  Tue, 12 Nov 2019 14:43:03 -0800

openvswitch (2.12.0-0ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 13 Sep 2019 15:02:56 +0100

openvswitch (2.12.0~git20190903.1cdf291dc-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot from 2.12 branch.
  * d/p/0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch: Drop,
    included upstream.
  * d/control: Bumped Standards-Version to 4.4.0.
  * d/control,rules: Drop Python 2 support.
  * d/rules: Disable testing of DPDK build on arm64 as builders don't
    have the required crc32 CPU feature.
  * d/control: Version BD for libdpdk-dev to ensure buid without overlinking.

 -- James Page <james.page@ubuntu.com>  Fri, 06 Sep 2019 09:46:28 +0100

openvswitch (2.11.1-0ubuntu1) eoan; urgency=medium

  * New upstream point release (LP: #1836709):
    - d/p/*: Refresh.
  * d/openvswitch-switch.{install,service,ovsdb-server.service},d/ovs-
    systemd-reload: Optimize reload of openvswitch-switch to minimize
    networking downtime (LP: #1823282).
  * d/openvswitch-switch.{ovs-vswitchd,ovsdb-server}.service: Drop
    default dependencies and correct network.service ->
    networking.service, add After: dpdk.service (LP: #1813371).
  * d/openvswitch-switch{-dpdk}.prerm,postinst: Tidy with case statements,
    only remove alternatives when package is being removed (LP: #1836713).
  * d/rules: Refresh TEST_LIST for observed errors for new point release.

 -- James Page <james.page@ubuntu.com>  Tue, 16 Jul 2019 11:19:41 +0100

openvswitch (2.11.0-0ubuntu2) disco; urgency=medium

  * d/rules: Skip execution of dh_systemd_start for openvswitch-switch
    subunits avoiding multiple restarts during package configuration
    (LP: #1823295).

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2019 17:07:11 +0100

openvswitch (2.11.0-0ubuntu1) disco; urgency=medium

  * d/watch: Update for changes in upstream releases page.
  * New upstream release, superceeding previous snapshots from 2.11
    release branch.
  * d/rules: Skip test 2768 on amd64 and s390x.

 -- James Page <james.page@ubuntu.com>  Wed, 06 Mar 2019 10:11:19 +0000

openvswitch (2.11.0~git20190214.a8a67726e-0ubuntu1) disco; urgency=medium

  [ Christian Ehrhardt ]
  * d/p/0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch: update to
    the upstream accepted patch. The changes were unified and thereby drop:
    - d/p/0002-m4-update-pkg.m4-to-pkg-config-0.29.1.patch
    - d/p/0003-configure.ac-use-the-locally-provided-pkg.m4.patch

  [ James Page ]
  * New upstream snapshot from 2.11 release branch.
  * d/p/*: Refresh/rebase.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Feb 2019 13:12:34 +0000

openvswitch (2.11.0~git20190121.4e4f80ec2-0ubuntu1) disco; urgency=medium

  [ James Page ]
  * d/rules: Switch snapshots to 2.11 branch.
  * New upstream snapshot from 2.11 release branch.
  * d/p/*: Refresh.
  * d/p/connmgr-Fix-vswitchd-abort-when-a-port-is-added.patch: Drop,
    included in snapshot.

  [ Christian Ehrhardt ]
  * fix linking with DPDK 18.11 - updated to v2 of the upstream patch series
    - d/p/0001-acinclude-Also-use-LIBS-from-dpkg-pkg-config.patch
    - d/p/0002-m4-update-pkg.m4-to-pkg-config-0.29.1.patch
    - d/p/0003-configure.ac-use-the-locally-provided-pkg.m4.patch
  * d/rules: mask test 2767 failing in OVS 2.11

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 31 Jan 2019 12:03:50 +0100

openvswitch (2.10.1-0ubuntu2) disco; urgency=medium

  * d/p/connmgr-Fix-vswitchd-abort-when-a-port-is-added.patch: Cherry
    pick fix for abort in OF connection manager.

 -- James Page <james.page@ubuntu.com>  Mon, 26 Nov 2018 10:57:06 +0000


