## ovn 20.03.2

=== debian/changelog ===
ovn (20.03.2-0ubuntu0.20.04.6) focal-security; urgency=medium

  * SECURITY UPDATE: ACL bypass in logical switch with DNS records
    - debian/patches/CVE-2025-0650.patch: skip only OVN DNS responder
      packets from OUT_ACL in controller/pinctrl.c,
      include/ovn/logical-fields.h, lib/logical-fields.c,
      northd/ovn-northd.c, tests/ovn.at.
    - CVE-2025-0650

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jan 2025 11:36:29 -0500

ovn (20.03.2-0ubuntu0.20.04.5) focal-security; urgency=medium

  * SECURITY UPDATE: Insufficient validation of incoming BFD packets
    - debian/patches/CVE-2024-2182.patch: set check_tnl_key for BFD on
      tunnel ifaces in controller/bfd.c, tests/ovn.at.
    - CVE-2024-2182

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Mar 2024 19:47:13 -0500

ovn (20.03.2-0ubuntu0.20.04.4) focal; urgency=medium

  * Adapt to changes made in previous OVS point release (LP: #1980213):
    - d/control: Update required openvswitch build requirement.
    - d/p/lp-1980213-treewide-bump-ovs-and-fix-problematic-loops.patch
  * Fix upgrade from OVN 20.03 to newer OVN versions (LP: #1940043):
    - d/ovn-host.ovn-controller.service: Pass --restart option when
      calling `ovn-ctl stop_controller`
    - d/p/lp-1940043-0001-Provide-the-option-to-pin-ovn-controller-and-ovn-nor.patch
    - d/p/lp-1940043-0002-controller-Allow-pinctrl-thread-to-handle-packet-ins.patch
  * d/rules, d/testlist.py, d/flaky-tests.txt:
    - Dynamically build list of tests to run from list of test descriptions.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 20 Jul 2022 11:42:49 +0200

ovn (20.03.2-0ubuntu0.20.04.3) focal; urgency=medium

  [ James Troup ]
  * Fix Multicast traffic between VMs using provider networks (LP: #1957817):
   - d/p/lp-1957817-ovn-northd-Add-localnet-ports-to-Multicast_Groups-cr.patch

  [ Frode Nordahl ]
  * Add support for PTR DNS requests (LP: #1857026):
    - d/p/lp-1857026-0001-DNS-Make-DNS-lookups-case-insensitive.patch
    - d/p/lp-1857026-0002-controller-Add-support-for-PTR-DNS-requests.patch

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 25 Feb 2022 08:10:00 +0100

ovn (20.03.2-0ubuntu0.20.04.2) focal; urgency=medium

  * Add RBAC rules for IGMP_Group table (LP: #1914988):
    - d/p/lp-1914988-Add-IGMP_Group-to-ovn-controller-RBAC.patch
    - d/p/lp-1914988-tests-Use-ovn_start-in-tests-ovn-controller.at.patch
    - d/p/lp-1914988-tests-Make-certificate-generation-extendable.patch
    - d/p/lp-1914988-tests-Test-with-SSL-and-RBAC-for-controller-by-defau.patch
  * d/p/lp-1943266-physical-do-not-forward-traffic-from-localport-to-a-.patch:
    Do not forward traffic from localport to localnet ports (LP: #1943266).a
  * d/p/lp-1937075-ovn-ctl-Fix-stucked-while-do-cluster-db-init.patch:
    Fix issue where clustered database might not be upgraded (LP: #1937075).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 01 Oct 2021 09:42:00 +0200

ovn (20.03.2-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream point release (LP: #1924981):
    - d/p/*: Drop, all included in point release.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Apr 2021 11:58:28 +0100

ovn (20.03.1-0ubuntu1.2) focal; urgency=medium

  * d/p/ovn-northd-revert-manage-arp-process-locally-dvr.patch: Cherry pick
    fix for incorrect ARP processing with DVR enabled (LP: #1905933).
  * d/p/ovn-ctl-cluster-db-upgrades.patch: Cherry pick fix for upgrading
    database schema of clustered databases on package upgrade (LP: #1907081)
  * d/p/ovn-ofctrl-predictable-resolution-conflicting-flow-actions-*: Cherry
    pick fixes for predictable resolution for conflicting flow actions.
    (LP: #1906922)

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 12 Jan 2021 11:47:18 +0000

ovn (20.03.1-0ubuntu1.1) focal; urgency=medium

  * d/p/ovn-controller-ofctrl-probe-interval.patch: Cherry pick
    fix to disable ofctrl probe by default (LP: #1899369).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 06 Nov 2020 08:21:03 +0000

ovn (20.03.1-0ubuntu1) focal; urgency=medium

  * New upstream point release (LP: #1897248).

 -- James Page <james.page@ubuntu.com>  Mon, 12 Oct 2020 09:24:02 +0100
