## ovn 20.06.2

=== debian/changelog ===
ovn (20.06.2-0ubuntu1) groovy; urgency=medium

  * New upstream stable point release.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Oct 2020 09:20:58 +0100

ovn (20.06.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
  * d/rules: Drop --with=systemd, not needed.
  * d/control: Drop BD on python3-six - no longer required.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jun 2020 08:13:43 +0100
