## ovn 20.06.3

=== debian/changelog ===
ovn (20.06.3-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream point release (LP: #1924982):
    - d/p/*: Drop, included in release.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Apr 2021 11:57:52 +0100

ovn (20.06.2-0ubuntu1.2) groovy; urgency=medium

  * d/p/ovn-ctl-cluster-db-upgrades.patch: Cherry pick fix for upgrading
    database schema of clustered databases on package upgrade (LP: #1907081)
  * d/p/ovn-ofctrl-predictable-resolution-conflicting-flow-actions-*: Cherry
    pick fixes for predictable resolution for conflicting flow actions.
    (LP: #1906922)

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 12 Jan 2021 11:45:12 +0000

ovn (20.06.2-0ubuntu1.1) groovy; urgency=medium

  * d/p/ovn-controller-ofctrl-probe-interval.patch: Cherry pick
    fix to disable ofctrl probe by default (LP: #1899369).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 06 Nov 2020 08:21:03 +0000
