=== debian/control ===
--- 
+++ 
@@ -17,12 +17,11 @@
  libtool,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 2.13.8-0ubuntu1~),
+ openvswitch-source (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
  pkg-config,
  procps,
  python3-all-dev,
  python3-setuptools,
- python3-six,
  python3-sortedcontainers,
  python3-sphinx,
 Standards-Version: 4.4.0
