## ovn 20.12.0

=== debian/changelog ===
ovn (20.12.0-0ubuntu3) hirsute; urgency=medium

  * Add RBAC rules for IGMP_Group table (LP: #1914988):
    - d/p/lp-1914988-Add-IGMP_Group-to-ovn-controller-RBAC.patch
    - d/p/lp-1914988-northd-Add-missing-RBAC-rules-for-FDB-table.patch
    - d/p/lp-1914988-northd-Amend-Chassis-RBAC-rules.patch
    - d/p/lp-1914988-northd-Add-Controller_Event-RBAC-rules.patch
    - d/p/lp-1914988-tests-Amend-release-stale-port-binding-test-for-RBAC.patch
    - d/p/lp-1914988-tests-Use-ovn_start-in-tests-ovn-controller.at.patch
    - d/p/lp-1914988-tests-Make-certificate-generation-extendable.patch
    - d/p/lp-1914988-tests-Test-with-SSL-and-RBAC-for-controller-by-defau.patch
  * d/p/lp-1943266-physical-do-not-forward-traffic-from-localport-to-a-.patch:
    Do not forward traffic from localport to localnet ports (LP: #1943266).
  * d/p/lp-1913024-northd-Add-Chassis_Private-external_ids-column-to-RB.patch
    Update RBAC rules for Chassis_Private table (LP: #1913024).
  * d/p/lp-1917475-northd-Amend-RBAC-rules-for-Port_Binding-table.patch
    Update RBAC rules for Port_Binding table (LP: #1917475).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 01 Oct 2021 09:42:00 +0200

ovn (20.12.0-0ubuntu2) hirsute; urgency=medium

  * d/rules: Disable test 168 on arm architectures.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Jan 2021 10:39:19 +0000

ovn (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * d/control: Bump minimum openvswitch-source version to >= 2.15.0~.

 -- James Page <james.page@ubuntu.com>  Mon, 04 Jan 2021 16:54:31 +0000

ovn (20.09.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * d/control: Bump minimum openvswitch-source >= 2.14.0.

 -- James Page <james.page@ubuntu.com>  Fri, 06 Nov 2020 16:44:10 +0000

ovn (20.06.2-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 12:43:59 +0200
