## ovn 21.06.0%2Bds1

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 #export DH_VERBOSE=1
+
+UPSTREAM_GIT = https://github.com/openvswitch/ovn
+include /usr/share/openstack-pkg-tools/pkgos.make
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
 %:
 	dh $@ --with autoreconf,python3,sphinxdoc
@@ -36,7 +41,7 @@
 # arm64,armhf:
 #  168: ovn -- ovn-controller incremental processing    FAILED (ovn-performance.at:483)
 ifneq (,$(filter arm64 armhf, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-167 169-
+TEST_LIST = 1-167 169-390 393-
 endif # arm64,armhf
 
 override_dh_auto_test:
@@ -61,33 +66,14 @@
 	# Package does not ship any init.d files
 	dh_installinit --no-scripts
 
-override_dh_systemd_enable:
-	dh_systemd_enable -povn-central --name=ovn-northd
-	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-sb
-	dh_systemd_enable -povn-central --name=ovn-ovsdb-server-nb
-	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-sb
-	dh_systemd_enable -povn-ic-db --name=ovn-ovsdb-server-ic-nb
-	dh_systemd_enable -povn-host --name=ovn-controller
-	dh_systemd_enable
-
-override_dh_systemd_start:
-	dh_systemd_start --restart-after-upgrade
+override_dh_installsystemd:
+	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-northd
+	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-ovsdb-server-sb
+	dh_installsystemd --restart-after-upgrade -povn-central --name=ovn-ovsdb-server-nb
+	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-sb
+	dh_installsystemd --restart-after-upgrade -povn-ic-db   --name=ovn-ovsdb-server-ic-nb
+	dh_installsystemd --restart-after-upgrade -povn-host    --name=ovn-controller
+	dh_installsystemd --restart-after-upgrade
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
-
-# Helper target for creating snapshots from upstream git
-DATE=$(shell date +%Y%m%d)
-# Upstream branch to track
-BRANCH=branch-20.12
-VERSION=20.12.0
-
-get-orig-snapshot:
-	rm -Rf ovn-upstream
-	git clone https://github.com/ovn-org/ovn ovn-upstream
-	cd ovn-upstream && \
-		git checkout $(BRANCH) && \
-		export COMMIT=`git rev-parse --short HEAD` && \
-		git archive --format tgz --prefix=ovn-$(VERSION)~git$(DATE).$$COMMIT/ \
-			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig.tar.gz $(BRANCH)
-	rm -Rf ovn-upstream
