=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ovn-$1\.tar\.gz/,dversionmangle=s/\+ds\d+$//" \
  https://github.com/ovn-org/ovn/tags .*/v?(\d\S+)\.tar\.gz
