## ovn 21.06.0+ds1

=== debian/changelog ===
ovn (21.06.0+ds1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Oct 2021 09:46:32 +0200

ovn (21.06.0+ds1-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Oct 2021 08:17:55 +0200

ovn (21.06.0+ds1-1) unstable; urgency=medium

  * Initial release. (Closes: #993007)

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Aug 2021 10:11:29 +0200
