=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: ovn
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Uploaders:
+ Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- autoconf (>= 2.64),
- automake (>= 1.10) | automake1.10,
+ autoconf,
+ automake,
  bzip2,
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  graphviz,
  libcap-ng-dev,
@@ -17,32 +18,34 @@
  libtool,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 2.15.0~),
+ openstack-pkg-tools,
+ openvswitch-source,
  pkg-config,
  procps,
  python3-all-dev,
  python3-setuptools,
  python3-sortedcontainers,
  python3-sphinx,
-Standards-Version: 4.4.0
-Homepage: https://github.com/ovn-org/ovn
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
+ tcpdump,
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ovn
+Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ovn.git
+Homepage: http://openvswitch.org/
 
 Package: ovn-central
 Architecture: linux-any
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-common (>= 2.15.0~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OVN central components
  OVN, the Open Virtual Network, is a system to support virtual network
- abstraction.  OVN complements the existing capabilities of OVS to add
- native support for virtual network abstractions, such as virtual L2 and L3
- overlays and security groups.
+ abstraction. OVN complements the existing capabilities of OVS to add native
+ support for virtual network abstractions, such as virtual L2 and L3 overlays
+ and security groups.
  .
  ovn-central provides the userspace daemons, utilities and
  databases for OVN that is run at a central location.
@@ -55,9 +58,9 @@
  ${shlibs:Depends},
 Description: OVN common components
  OVN, the Open Virtual Network, is a system to support virtual network
- abstraction.  OVN complements the existing capabilities of OVS to add
- native support for virtual network abstractions, such as virtual L2 and L3
- overlays and security groups.
+ abstraction. OVN complements the existing capabilities of OVS to add native
+ support for virtual network abstractions, such as virtual L2 and L3 overlays
+ and security groups.
  .
  ovn-common provides components required by other OVN packages.
 
@@ -69,10 +72,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OVN vtep controller
- ovn-controller-vtep is the local controller daemon in
- OVN, the Open Virtual Network, for VTEP enabled physical switches.
- It connects up to the OVN Southbound database over the OVSDB protocol,
- and down to the VTEP database over the OVSDB protocol.
+ ovn-controller-vtep is the local controller daemon in OVN, the Open Virtual
+ Network, for VTEP enabled physical switches. It connects up to the OVN
+ Southbound database over the OVSDB protocol, and down to the VTEP database
+ over the OVSDB protocol.
  .
  ovn-controller-vtep provides the ovn-controller-vtep binary for controlling
  vtep gateways.
@@ -95,9 +98,9 @@
 Package: ovn-docker
 Architecture: linux-any
 Depends:
- openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-common (>= 2.15.0~),
  ovn-common (= ${binary:Version}),
- python3-openvswitch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ python3-openvswitch (>= 2.15.0~),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -114,7 +117,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-switch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-switch (>= 2.15.0~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -153,7 +156,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-common (>= 2.15.0~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
