## ovn 21.09.0~git20210922.6549e5842

=== debian/changelog ===
ovn (21.09.0~git20210922.6549e5842-0ubuntu1) impish; urgency=medium

  * New upstream snapshot from 21.09 release branch.
  * d/control: Bump minimum openvswitch-source version requirement to
    pickup required changes.
  * d/rules: Re-align skip-test list for ARM architectures.
  * d/rules: Skip racey tests across all architectures.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Sep 2021 07:43:54 +0100

ovn (21.09.0~git20210806.d08f89e21-0ubuntu1.1) impish; urgency=medium

  * Allow upgrades without data plane outage.
    - d/ovn-host.ovn-controller.service: Pass --restart option when
      calling `ovn-ctl stop_controller` (LP: #1940043).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 16 Aug 2021 11:53:37 +0200

ovn (21.09.0~git20210806.d08f89e21-0ubuntu1) impish; urgency=medium

  * Snapshot in preparation for 21.09 release.
  * d/control: Add tcpdump to BD's.
  * d/rules: Skip tests 391->392 on ARM architectures.

 -- James Page <james.page@ubuntu.com>  Mon, 09 Aug 2021 16:37:37 +0100

ovn (21.06.0-0ubuntu1) impish; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Jul 2021 14:23:41 +0100
