## ovn 21.09.0

=== debian/changelog ===
ovn (21.09.0-0ubuntu1) impish; urgency=medium

  * New stable release (LP: #1947003).

 -- James Page <james.page@ubuntu.com>  Fri, 15 Oct 2021 13:04:56 +0100
