=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: ovn
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
-Uploaders:
- Thomas Goirand <zigo@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
 Build-Depends:
- autoconf,
- automake,
+ autoconf (>= 2.64),
+ automake (>= 1.10) | automake1.10,
  bzip2,
- debhelper-compat (= 12),
+ debhelper (>= 10~),
  dh-python,
  graphviz,
  libcap-ng-dev,
@@ -18,8 +17,7 @@
  libtool,
  libunbound-dev,
  openssl,
- openstack-pkg-tools,
- openvswitch-source,
+ openvswitch-source (>= 2.16.0-0ubuntu2~),
  pkg-config,
  procps,
  python3-all-dev,
@@ -27,25 +25,25 @@
  python3-sortedcontainers,
  python3-sphinx,
  tcpdump,
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/ovn
-Vcs-Git: https://salsa.debian.org/openstack-team/third-party/ovn.git
-Homepage: http://openvswitch.org/
+Standards-Version: 4.4.0
+Homepage: https://github.com/ovn-org/ovn
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ovn
 
 Package: ovn-central
 Architecture: linux-any
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-common (>= 2.15.0~),
+ openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OVN central components
  OVN, the Open Virtual Network, is a system to support virtual network
- abstraction. OVN complements the existing capabilities of OVS to add native
- support for virtual network abstractions, such as virtual L2 and L3 overlays
- and security groups.
+ abstraction.  OVN complements the existing capabilities of OVS to add
+ native support for virtual network abstractions, such as virtual L2 and L3
+ overlays and security groups.
  .
  ovn-central provides the userspace daemons, utilities and
  databases for OVN that is run at a central location.
@@ -58,9 +56,9 @@
  ${shlibs:Depends},
 Description: OVN common components
  OVN, the Open Virtual Network, is a system to support virtual network
- abstraction. OVN complements the existing capabilities of OVS to add native
- support for virtual network abstractions, such as virtual L2 and L3 overlays
- and security groups.
+ abstraction.  OVN complements the existing capabilities of OVS to add
+ native support for virtual network abstractions, such as virtual L2 and L3
+ overlays and security groups.
  .
  ovn-common provides components required by other OVN packages.
 
@@ -72,10 +70,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OVN vtep controller
- ovn-controller-vtep is the local controller daemon in OVN, the Open Virtual
- Network, for VTEP enabled physical switches. It connects up to the OVN
- Southbound database over the OVSDB protocol, and down to the VTEP database
- over the OVSDB protocol.
+ ovn-controller-vtep is the local controller daemon in
+ OVN, the Open Virtual Network, for VTEP enabled physical switches.
+ It connects up to the OVN Southbound database over the OVSDB protocol,
+ and down to the VTEP database over the OVSDB protocol.
  .
  ovn-controller-vtep provides the ovn-controller-vtep binary for controlling
  vtep gateways.
@@ -98,9 +96,9 @@
 Package: ovn-docker
 Architecture: linux-any
 Depends:
- openvswitch-common (>= 2.15.0~),
+ openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
  ovn-common (= ${binary:Version}),
- python3-openvswitch (>= 2.15.0~),
+ python3-openvswitch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -117,7 +115,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-switch (>= 2.15.0~),
+ openvswitch-switch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -156,7 +154,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-common (>= 2.15.0~),
+ openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
