## ovn 22.03.0

=== debian/changelog ===
ovn (22.03.0-0ubuntu1) jammy; urgency=medium

  [ Frode Nordahl ]
  * New upstream release.
  * d/source/include-binaries: Add ovn-vif/Documentation/_static/logo.png.

  [ James Page ]
  * d/rules: Refresh test skip list for release, avoiding any under load
    type racey tests.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 25 Mar 2022 17:02:52 +0000

ovn (22.03.0~git20220218.ed81be7-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot in preparation for 22.03.0 release.
  * d/control: Switch to using debhelper-compat for debhelper
    versioning.
  * d/control: Add BD on libudev-dev.
  * d/rules: Re-align expected test failures with test numbering.

 -- James Page <james.page@ubuntu.com>  Fri, 18 Feb 2022 16:46:51 +0000

ovn (21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release.
  * d/control: Bump openvswitch-source min version to pickup needed
    features.
  * d/control,rules: Bundle ovn-vif plugin to support SmartNIC DPU
    representor port interface plugging.
  * d/copyright: Drop copyright statements for files no longer included
    in the upstream source package.
  * d/watch: Update for multiple upstream release tarballs.
  * d/control: Bump minimum openvswitch version to 2.17.0.
  * d/rules: Skip racey/failing tests on ppc64el and s390x.

 -- James Page <james.page@ubuntu.com>  Fri, 07 Jan 2022 14:41:37 +0000

ovn (21.09.0-0ubuntu2) jammy; urgency=medium

  * New stable release (LP: #1947003).

 -- James Page <james.page@ubuntu.com>  Fri, 15 Oct 2021 13:04:56 +0100
