=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  autoconf (>= 2.64),
  automake (>= 1.10) | automake1.10,
  bzip2,
- debhelper (>= 10~),
+ debhelper-compat (= 10),
  dh-python,
  graphviz,
  libcap-ng-dev,
@@ -15,9 +15,10 @@
  libpcap-dev [amd64 i386 ppc64el arm64],
  libssl-dev,
  libtool,
+ libudev-dev,
  libunbound-dev,
  openssl,
- openvswitch-source (>= 2.16.0-0ubuntu2~),
+ openvswitch-source (>= 2.17.0~),
  pkg-config,
  procps,
  python3-all-dev,
@@ -35,7 +36,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-common (>= 2.17.0~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -96,9 +97,9 @@
 Package: ovn-docker
 Architecture: linux-any
 Depends:
- openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-common (>= 2.17.0~),
  ovn-common (= ${binary:Version}),
- python3-openvswitch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ python3-openvswitch (>= 2.17.0~),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -115,7 +116,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-switch (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-switch (>= 2.17.0~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
@@ -154,7 +155,7 @@
 Depends:
  lsb-base,
  lsb-release,
- openvswitch-common (>= 2.13.0~git20200212.15ae9db33-0ubuntu1~),
+ openvswitch-common (>= 2.17.0~),
  ovn-common (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
