=== debian/rules ===
--- 
+++ 
@@ -20,26 +20,44 @@
 	# Configure OVS before OVN
 	test -d $(CURDIR)/ovs || mkdir ovs
 	cd ovs && tar -xzf /usr/src/openvswitch/openvswitch.tar.gz --strip-components=1
-	cd ovs && ./configure --enable-ssl --localstatedir=/var --sysconfdir=/etc --prefix=/usr
-	# Use dh_auto_configure to build OVN
+	cd ovs && ./configure --enable-ssl --localstatedir=/var --sysconfdir=/etc --prefix=/usr && make $(PARALLEL)
+	# Configure OVN to allow building OVN VIF
+	./boot.sh && ./configure \
+		--prefix=/usr \
+		--localstatedir=/var \
+		--sysconfdir=/etc \
+		--with-dbdir=/var/lib/ovn \
+		--with-ovs-source=$(CURDIR)/ovs \
+		--enable-ssl
+	# Configure and build OVN VIF
+	cd ovn-vif && \
+		./boot.sh && \
+		./configure \
+			--with-ovs-source=$(CURDIR)/ovs \
+			--with-ovn-source=$(CURDIR) \
+			--enable-plug-representor && \
+		make $(PARALLEL)
+	# Use dh_auto_configure to reconfigure OVN with ovn-vif
 	dh_auto_configure -- \
 		--prefix=/usr \
 		--localstatedir=/var \
 		--sysconfdir=/etc \
 		--with-dbdir=/var/lib/ovn \
 		--with-ovs-source=$(CURDIR)/ovs \
-		--enable-ssl
+		--enable-ssl \
+		--with-vif-plug-provider=$(CURDIR)/ovn-vif
 
-# NOTE(jamespage): by default, just run all tests
-TEST_LIST =
-
-# arm64,armhf:
-#  168: ovn -- ovn-controller incremental processing    FAILED (ovn-performance.at:483)
-ifneq (,$(filter arm64 armhf, $(DEB_HOST_ARCH)))
-TEST_LIST = 1-167 169-394 397-
-else
-TEST_LIST = 1-394 397-
-endif # arm64,armhf
+# Last Review: 22.03.0
+# 175: policy-based routing IPv6: 1 HVs, 3 LSs, 1 lport/LS, 1 LR -- ovn-northd -- dp-groups=yes
+# 176: policy-based routing IPv6: 1 HVs, 3 LSs, 1 lport/LS, 1 LR -- ovn-northd -- dp-groups=no
+# 355: ACLs on Port Groups -- ovn-northd -- dp-groups=yes
+# 356: ACLs on Port Groups -- ovn-northd -- dp-groups=no
+# 638: ovn.at:26372 multi-vtep SB Chassis encap updates -- ovn-northd -- dp-groups=yes
+# 639: ovn.at:26372 multi-vtep SB Chassis encap updates -- ovn-northd -- dp-groups=no
+# 683: ACL with Port Group conjunction flow efficiency -- ovn-northd -- dp-groups=yes
+# 684: ACL with Port Group conjunction flow efficiency -- ovn-northd -- dp-groups=no
+# https://bugs.launchpad.net/ubuntu/+source/ovn/+bug/1956749
+TEST_LIST = 1-174 177-354 357-637 640-682 685-
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -57,6 +75,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
+	cd ovn-vif && make distclean | :
 	rm -rf ovs
 
 override_dh_installinit:
@@ -81,15 +100,18 @@
 # Helper target for creating snapshots from upstream git
 DATE=$(shell date +%Y%m%d)
 # Upstream branch to track
-BRANCH=branch-21.09
-VERSION=21.09.0
+BRANCH=main
+VERSION=22.03.0
 
 get-orig-snapshot:
-	rm -Rf ovn-upstream
-	git clone https://github.com/ovn-org/ovn ovn-upstream
+	rm -Rf ovn-upstream ovn-vif-upstream
+	git clone --branch $(BRANCH) --depth 1 https://github.com/ovn-org/ovn ovn-upstream
+	git clone --branch $(BRANCH) --depth 1 https://github.com/ovn-org/ovn-vif ovn-vif-upstream
 	cd ovn-upstream && \
-		git checkout $(BRANCH) && \
 		export COMMIT=`git rev-parse --short HEAD` && \
 		git archive --format tgz --prefix=ovn-$(VERSION)~git$(DATE).$$COMMIT/ \
-			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig.tar.gz $(BRANCH)
-	rm -Rf ovn-upstream
+			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig.tar.gz $(BRANCH) && \
+		cd ../ovn-vif-upstream && \
+		git archive --format tgz --prefix=ovn-vif-$(VERSION)~git$(DATE).$$COMMIT/ \
+			-o ../../ovn_$(VERSION)~git$(DATE).$$COMMIT.orig-ovn-vif.tar.gz $(BRANCH)
+	rm -Rf ovn-upstream ovn-vif-upstream
