## ovn 22.03.2

=== debian/changelog ===
ovn (22.03.2-0ubuntu0.22.04.1) jammy; urgency=medium

  * New upstream version 22.03.2 (LP: #2003056).
  * d/p/lp-1982454-northd-stateless-nat-fix.patch: Drop, included in point release.
  * d/control: Bump openvswitch build requirement.
  * d/flaky-tests.txt: Extend list of flaky tests.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 17 Jan 2023 09:45:31 +0100

ovn (22.03.1-0ubuntu2) jammy; urgency=medium

  * d/rules, d/ovn-common.install: Properly fix the ovn-detrace binary
    (LP: #1971178).
  * d/gbp.conf: Add the package components.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 15 Aug 2022 17:45:25 +0200

ovn (22.03.1-0ubuntu1) jammy; urgency=medium

  [ Frode Nordahl ]
  * New upstream point release (LP: #1980809).
  * d/ovn-common.install: Add missing ovn_detrace.py binary (LP: #1971178).
  * d/rules, d/testlist.py, d/flaky-tests.txt:
    - Dynamically build list of tests to run from list of test descriptions.
  * d/p/lp-1982454-northd-stateless-nat-fix.patch (LP: #1982454).

  [ James Page ]
  * d/control: Update openvswitch build requirement.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 21 Jul 2022 09:18:39 +0200
